<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RegionMemoryLimitGBytes Property
DatabaseEnvironment Class See Also Send Feedback

The gigabytes component of the byte-count limit on the amount of memory to be used by shared structures in the main environment region. These are the structures other than mutexes and the page cache (memory pool).

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public uint RegionMemoryLimitGBytes { get; }

Visual Basic (Declaration)

    Public ReadOnly Property RegionMemoryLimitGBytes As UInteger

Visual C++

    public:
    property unsigned int RegionMemoryLimitGBytes {
    	unsigned int get ();
    }

#### Return Value

The maximum number of gigabytes used by the main region.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace